E-MailRelay

Classes | Namespaces
gprotocolmessage.h File Reference
`#include "gdef.h"`
`#include "gmessagestore.h"`
`#include "gnewmessage.h"`
`#include "gslot.h"`
`#include "gstringarray.h"`
`#include "gverifier.h"`
`#include "gexception.h"`
`#include <string>`
Include dependency graph for gprotocolmessage.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GSmtp::ProtocolMessage
| An interface used by the ServerProtocol class to assemble and process an incoming message. More...
struct | GSmtp::ProtocolMessage::ProcessedInfo
| Parameters for GSmtp::ProtocolMessage::processedSignal() More...
struct | GSmtp::ProtocolMessage::FromInfo
| Extra information from the SMTP MAIL-FROM command passed to GSmtp::ProtocolMessage::setFrom(). More...
struct | GSmtp::ProtocolMessage::ToInfo
| Extra information passed to GSmtp::ProtocolMessage::addTo(). More...

## Namespaces
namespace | GSmtp
| SMTP classes.